# Hex 로그 (베타)

## 개요

{% hint style="info" %}
Hex 로그 수집은 Panther 버전 1.123부터 공개 베타로 제공되며, 모든 고객이 이용할 수 있습니다. 버그 보고와 기능 요청은 Panther 지원팀에 공유해 주세요.
{% endhint %}

Panther는 다음에서 실시간 감사 로그 이벤트를 수신할 수 있습니다. [Hex](https://hex.tech/) 웹훅을 통해. 이 통합은 프로젝트 액세스, 데이터 내보내기, 관리 작업을 포함하여 Hex 작업 공간 전반의 사용자 활동에 대한 가시성을 제공하여 보안 모니터링과 규정 준수 감사가 가능하게 합니다.

## Hex 감사 로그를 Panther에 온보딩하는 방법

### 사전 요구 사항

* 이 통합을 설정하려면, 다음에 대한 액세스 권한이 있는 Hex 작업 공간 관리자여야 합니다. **설정** > **감사 로그**.

### 1단계: Panther에 새 Hex 로그 소스 만들기

1. Panther Console의 왼쪽 탐색 표시줄에서 다음을 클릭하세요. **구성** > **로그 소스**.
2. 다음을 클릭하세요. **새로 만들기.**
3. "Hex"를 검색한 다음 해당 타일을 클릭하세요.
4. 다음을 클릭하세요. **설정 시작**.
5. HTTP 소스 구성에 대한 Panther의 [지침을 따르세요.](https://github.com/panther-labs/panther-docs/blob/main/docs/gitbook/data-transports/http.md#how-to-set-up-an-http-log-source-in-panther)5단계부터 시작합니다.
   * 다음을 사용해야 합니다. [공유 비밀 인증](https://github.com/panther-labs/panther-docs/blob/main/docs/gitbook/data-transports/http.md#shared-secret).
   * 이 소스로 전송되는 페이로드는 다음의 적용을 받습니다. [모든 HTTP 소스에 대한 페이로드 요구 사항](https://github.com/panther-labs/panther-docs/blob/main/docs/gitbook/data-transports/http.md#payload-requirements).
   * HTTP 엔드포인트 생성이 완료될 때까지 다음 단계로 진행하지 마세요. 다음을 복사하세요. **HTTP 소스 URL**, **헤더 이름**, 그리고 **비밀 키 값** — 2단계에서 필요합니다.

### 2단계: Hex에서 감사 로그 스트림 구성

1. Hex 작업 공간에서 다음으로 이동하세요. **설정** > **감사 로그**.
2. 다음을 선택하세요. **로그 스트림 구성**.
3. 다음을 선택하세요. **일반 HTTPS** 를 대상 유형으로 선택하세요.
4. 필드를 입력하세요:
   * **URL**: 다음을 입력하세요. **HTTP 소스 URL** Panther에서 생성한 값.
   * **인증 헤더 이름**: 다음을 입력하세요. **헤더 이름** Panther에서 구성한 값.
   * **인증 헤더 값**: 다음을 입력하세요. **비밀 키 값** Panther에서 구성한 값.
5. 다음 중 하나를 선택하세요. **JSON** 또는 **NDJSON** 에 대해 **요청 본문 형식.**
6. 구성을 저장하세요.

Hex는 즉시 Panther로 새 감사 이벤트 스트리밍을 시작합니다.

## 지원되는 로그 유형

### Hex.Audit

Hex 분석 플랫폼의 감사 로그 이벤트로, 셀 실행, 프로젝트 생성, 액세스 관리, 데이터 다운로드와 같이 작업 공간 내에서의 사용자 및 시스템 작업을 캡처합니다.

```yaml
schema: Hex.Audit
description: Hex 분석 플랫폼 웹훅의 감사 로그 이벤트
referenceURL: https://learn.hex.tech/docs/administration/workspace_settings/audit-logs/audit-logs-reference
fields:
  - name: source
    type: string
    description: 웹훅 봉투 소스 식별자(항상 "Hex")
  - name: keySuffix
    type: string
    description: 웹훅 전송 중복 제거 키(Hex가 전송마다 할당하는 ULID)
  - name: timestamp
    type: timestamp
    timeFormats:
      - rfc3339
    description: 웹훅 전송 시간(Hex가 이벤트를 전송한 시점; event.occurred_at과는 다름)
  - name: event
    type: object
    required: true
    description: 감사 이벤트 페이로드
    fields:
      - name: actor
        type: object
        required: true
        description: 작업을 수행한 주체
        fields:
          - name: id
            type: string
            description: 주체의 고유 식별자
            indicators:
              - actor_id
          - name: type
            type: string
            description: 주체 유형(예: USER)
          - name: metadata
            type: object
            description: 주체에 대한 추가 메타데이터
            fields:
              - name: email
                type: string
                description: 주체의 이메일 주소
                indicators:
                  - email
              - name: workspace
                type: string
                description: 작업 공간 이름
              - name: workspaceId
                type: string
                description: 작업 공간의 고유 식별자
              - name: actorOrgRole
                type: string
                description: 주체의 조직 내 역할(예: ADMIN, MEMBER)
      - name: action
        required: true
        type: string
        description: 수행된 작업(예: RUN_CELL, CREATE_PROJECT)
      - name: context
        type: object
        description: 작업이 수행된 컨텍스트
        fields:
          - name: location
            type: string
            description: 요청의 IP 주소
            indicators:
              - ip
          - name: user_agent
            type: string
            description: 요청의 사용자 에이전트 문자열
      - name: targets
        type: array
        description: 작업의 영향을 받은 객체
        element:
          type: object
          fields:
            - name: id
              type: string
              description: 대상의 고유 식별자
            - name: type
              type: string
              description: 대상 유형(예: project, project_version, cell)
            - name: metadata
              type: object
              description: 대상에 대한 추가 메타데이터
              fields:
                - name: created
                  type: boolean
                  description: 이 작업에 의해 대상이 생성되었는지 여부
                - name: principal_type
                  type: string
                  description: 액세스 이벤트의 주체 유형(예: user, group)
                - name: representation
                  type: string
                  description: 대상 객체의 JSON 인코딩 표현
      - name: version
        type: string
        description: 이벤트의 스키마 버전
      - name: metadata
        type: object
        description: 작업에 대한 추가 메타데이터
        fields:
          - name: result
            type: string
            description: 작업 결과(예: SUCCESS, FAILURE)
          - name: requestArgs
            type: string
            description: JSON 인코딩된 요청 인수
          - name: failureReason
            type: string
            description: 작업이 실패한 경우 실패 사유
          - name: hexTraceId
            type: string
            description: 서비스 간 이벤트 상관관계를 위한 Hex 추적 ID
            indicators:
              - trace_id
          - name: source
            type: string
            description: 이벤트를 생성한 원본 시스템
          - name: isRefreshingKey
            type: boolean
            description: 키 새로고침 작업에 의해 이벤트가 트리거되었는지 여부
          - name: projectCreationMethod
            type: string
            description: 프로젝트 생성에 사용된 방법(예: BLANK, TEMPLATE)
      - name: occurred_at
        required: true
        type: timestamp
        timeFormats:
          - rfc3339
        isEventTime: true
        description: 이벤트가 발생한 시각의 টাইਮ스탬프
```


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.panther.com/ko/data-onboarding/supported-logs/hex.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
